@import url("https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap");

* {
  margin: 0;
  padding: 0;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
  
body {
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: degrade 30s ease alternate infinite;
    animation-delay: 2s;
    height: 100vh;
    width: 100vw;
    background: linear-gradient(-45deg, #28d693, #35add1, #e73c7e, #ee7752) no-repeat;
    background-size: 300% 300%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
  }
  @keyframes degrade {
    from {
      background-position: 0 1%;
    }
    to {
      background-position: 100% 100%;
    }
}
  
.board {
    height: 80vh;
    width: 75vw;
    background-color: black;
    opacity: 0.7;
    border-radius: 14px;
}
  
.ball {
    height: 30px;
    width: 30px;
    border-radius: 50%;
    position: fixed;
    top: calc(50% - 15px);
    left: calc(50% - 15px);
}
  
.ball_effect {
    height: 100%;
    width: 100%;
    border-radius: 100px;
    animation: spinBall 0.1s linear infinite;
    box-shadow: inset 0 0 18px #fff, 
        inset 6px 0 18px violet, 
        inset -6px 0 18px #0ff, 
        inset 6px 0 30px violet, 
        inset -6px 0 30px #0ff, 
        0 0 18px #fff, -4px 0 18px 
        violet, 4px 0 18px #0ff;
}
  
@keyframes spinBall {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
  
.paddle {
    height: 100px;
    width: 18px;
    border-radius: 50%;
    position: fixed;
}
  
.paddle_1 {
    top: calc(6.5vh + 50px);
    left: calc(12vw + 25px);
    box-shadow: inset 0 0 18px #fff, 
        inset -6px 0 18px #f3bad6, 
        inset 6px 0 18px #0ff, 
        inset -6px 0 30px #f3bad6, 
        inset 6px 0 30px #0ff, 
        0 0 18px #fff, 4px 0 18px 
        #f3bad6, -4px 0 18px #0ff;
}
  
.paddle_2 {
    top: calc(85vh + 7.5vh - 100px - 55px);
    right: calc(11.5vw + 30px);
    box-shadow: inset 0 0 18px #fff, 
        inset 6px 0 18px #f3bad6, 
        inset -6px 0 18px #0ff, 
        inset 6px 0 30px #f3bad6, 
        inset -6px 0 30px #0ff, 
        0 0 18px #fff, -4px 0 18px 
        #f3bad6, 4px 0 18px #0ff;
}
  
.player_1_score {
    height: 50px;
    width: 50px;
    color: white;
    position: fixed;
    left: 30vw;
    margin-top: 30px;
    font-family: 'Press Start 2P';
}
  
.player_2_score {
    height: 50px;
    width: 50px;
    color: white;
    position: fixed;
    left: 70vw;
    margin-top: 30px;
    font-family: 'Press Start 2P';
}
  
.message {
    position: fixed;
    height: 10vh;
    width: 60vw;
    color: #ffffff;
    left: 36vw;
    margin: 30px auto auto auto;
    font-family: 'Press Start 2P';
}
.menu {
    position: absolute;
    top: 10px;
    left: 5px;
    margin-left: 10px;
  }
  .zoom {
    overflow: hidden;
  }
  .zoom img {
    max-width: 100%;
    -moz-transition: all 0.3s;
    transition: all 0.3s;
  }
  .zoom:hover img {
    -moz-transform: scale(1.1);
    transform: scale(1.1);
}
